package com.kurukurupapa.tryandroidui;

import com.kurukurupapa.tryandroidui.dialog.ColorDialogActivity;
import com.kurukurupapa.tryandroidui.draglist.DragListActivity;
import com.kurukurupapa.tryandroidui.draglist2.DragList2Activity;
import com.kurukurupapa.tryandroidui.expandablelistview.ExpandableListViewActivity;
import com.kurukurupapa.tryandroidui.font.FontActivity;
import com.kurukurupapa.tryandroidui.hello.HelloActivity;
import com.kurukurupapa.tryandroidui.listactivity.ListActivityEx;
import com.kurukurupapa.tryandroidui.listactivity.ListActivityEx2;
import com.kurukurupapa.tryandroidui.notification.NotificationActivity;
import com.kurukurupapa.tryandroidui.tablelayout.TableLayoutActivity;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

public class TryAndroidUIActivity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
	}

	public void onClickHelloButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, HelloActivity.class));
		startActivity(intent);
	}

	public void onClickExpandableListViewButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this,
				ExpandableListViewActivity.class));
		startActivity(intent);
	}

	public void onClickTableLayoutButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, TableLayoutActivity.class));
		startActivity(intent);
	}

	public void onClickColorDialogButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, ColorDialogActivity.class));
		startActivity(intent);
	}

	public void onClickDragListButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, DragListActivity.class));
		startActivity(intent);
	}

	public void onClickDragList2Button(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, DragList2Activity.class));
		startActivity(intent);
	}

	public void onClickFontButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, FontActivity.class));
		startActivity(intent);
	}

	public void onClickListViewButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, ListActivityEx.class));
		startActivity(intent);
	}

	public void onClickListView2Button(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, ListActivityEx2.class));
		startActivity(intent);
	}

	public void onClickNotificationButton(View view) {
		Intent intent = new Intent();
		intent.setComponent(new ComponentName(this, NotificationActivity.class));
		startActivity(intent);
	}

}